##### posix::basic_descriptor::basic_descriptor (3 of 5 overloads)

Construct a descriptor on an existing native descriptor.

    basic_descriptor(
        const executor_type & ex,
        const native_handle_type & native_descriptor);

This constructor creates a descriptor object to hold an existing native descriptor.

###### Parameters

ex

  The I/O executor that the descriptor will use, by default, to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  A native descriptor.

###### Exceptions

asio::system_error

  Thrown on failure.